<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Event List
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: eventlist.php 346 2008-01-13 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan$ 
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/

if ( !defined('IN_ROSTER') )
{
	exit('Detected invalid access to this file!');
}

global $roster, $addon;

require_once ($addon['dir'].'inc/functions.php');

// Display the Top / left side of the Stylish Border
echo border('syellow', 'start',$roster->locale->act['UpcomingRaids']);

// Make a table to hold the content
echo '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
echo '<tr>';
echo '<th class="membersHeader">'.$roster->locale->act['Date'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Zone'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Leader'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Attendees'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
echo '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
echo '</tr>';

// Get all raids, sorted by date
$query = 'SELECT * FROM `'.$roster->db->table('events',$addon['basename']).'` WHERE type != "Birth" AND type !="Meet" ORDER BY date ASC';
$result = $roster->db->query($query);

//unset($lastdate);
$rownum=1;
while ($row = $roster->db->fetch($result))
{
	// Open a new Row
	echo '<tr>';

	if (array_key_exists($row['type'], $roster->locale->act['IZones']))
	{
		$zoneicon = $addon['image_path'].$roster->locale->act['IZones'][$row['type']]['file'].'.gif';
		$zone = $roster->locale->act['IZones'][$row['type']]['name'];	
	}
	else	
	{
		$zoneicon = $addon['image_path'].'icons/';
		if (array_key_exists($row['type'], $roster->locale->act['Zones']))
		{
			$zoneicon .= 'Icon-'.$row['type'].'.jpg';
		}
		else
		{
			$zoneicon .= 'Icon-Unknown.jpg';
		}
		$zone = $row['type'];
	}

	echo '<td class="membersRow'.$rownum.'">';
	echo '<a href='.makelink('guild-' . $addon['basename'] . '&amp;event=' . $row['eventid'], true).'>';
	if($addon['config']['WoWGem_ShowIcon'])
	{
		echo '<img class="membersRowimg" width="'.($addon['config']['WoWGem_Icon_size']*2).'" height="'.($addon['config']['WoWGem_Icon_size']*2).'" src="'.$zoneicon.'" alt="'.$zone.'" /> ';
	}
	echo strftime($addon['config']['WoWGem_EventDateFormat'],strtotime($row['date'])).'</a></td>';
	echo '<td class="membersRow'.$rownum.'">';
	echo $zone.'</td>';

	echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	echo $row['leader'].'</td>';

	$titular_count = getTitularCount($row['eventid']);
	$substitute_count = getSubstituteCount($row['eventid']);

	echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	echo $titular_count.'/'.$row['maxCount'].'('.$substitute_count.')</td>';

	echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	echo $row['minLevel'].' - '.$row['maxLevel'].'</td>';

	$note = $row['note'];
	if($row['title'] !='')
	{
		$note = $row['title'] .'<br/>'.$row['note'];
	}

	echo '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
	echo getNoteIcon($note).'</td>';

	// Close the Row
	echo '</tr>';
	switch ($rownum)
	{
		case 1:
			$rownum=2;
			break;
		default:
			$rownum=1;
	}
	// $lastdate = date($row['date']);
}

// Close the table
echo '</table>';

// Display the Right side / Bottom of the Stylish Border
echo border('syellow','end');

// Meetings (GroupCalendar only)

// Get all raids
$query = 'SELECT * FROM `'.$roster->db->table('events',$addon['basename']).'` WHERE type = "Meet" ORDER BY date ASC';
$result = $roster->db->query($query);

if($roster->db->num_rows($result) == 0)
{
}
else
{
	echo '<br/>';
		// Display the Top / left side of the Stylish Border
	echo border('syellow', 'start',$roster->locale->act['UpcomingMeetings']);
	
	// Make a table to hold the content
	echo '<table cellpadding="0" cellspacing="0" class="membersList">';
	
	// Display the header of the table
	echo '<tr>';
	echo '<th class="membersHeader">'.$roster->locale->act['Date'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Zone'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Leader'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Attendees'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
	echo '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
	echo '</tr>';
	
	$rownum=1;
	while ($row = $wowdb->fetch_array($result))
	{
		// Open a new Row
		echo '<tr>';
	
		$zoneicon = $addon['image_path'].'icons/';
		$zoneicon .= ($roster->locale->act['Zones'][$row['type']] !=''?'Icon-'.$row['type'].'.jpg':'Icon-Unknown.jpg');
		$zone = ($roster->locale->act['Zones'][$row['type']] != ''?$roster->locale->act['Zones'][$row['type']]:$row['type']);
	
		echo '<td class="membersRow'.$rownum.'">';
		echo '<a href="'.makelink('guild-'.$addon['basename'],true).'&event='.$row['eventid'].'">';
		if( $addon['config']['WoWGem_ShowIcon'])
		{
			echo '<img class="membersRowimg" width="'.$addon['config']['WoWGem_Icon_size'].'" height="'.$addon['config']['WoWGem_Icon_size'].'" src="'.$zoneicon.'" alt="'.$zone.'" /> ';
		}
		echo strftime($addon['config']['WoWGem_EventDateFormat'],strtotime($row['date'])).'</a></td>';
	
		echo '<td class="membersRow'.$rownum.'">';
		echo $zone.'</td>';
	
		echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
		echo $row['leader'].'</td>';
	
	
	
		$titular_count = getTitularCount($row['eventid']);
		$substitute_count = getSubstituteCount($row['eventid']);
	
		echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
		echo $titular_count.'/'.$row['maxCount'].'('.$substitute_count.')</td>';
	
		echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
		echo $row['minLevel'].' - '.$row['maxLevel'].'</td>';
	
		$note = $row['note'];
		if($row['title'] !='')
		{
			$note = $row['title'] .'<br/>'.$row['note'];
		}
		echo '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
		echo getNoteIcon($note).'</td>';
	
		// Close the Row
		echo '</tr>';
		switch ($rownum)
		{
			case 1:
				$rownum=2;
				break;
			default:
				$rownum=1;
		}
	}
	// Close the table
	echo '</table>';
	
	// Display the Right side / Bottom of the Stylish Border
	echo border('syellow','end');
}

$roster->db->free_result($result);
?>