<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Functions
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: functions.php 346 2008-01-13 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan$
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/

if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}
	
function getNoteIcon($note)
{
	global $roster;

	$icon_value = '';
	if($note != '')
	{
		$icon_value = '<img src="'.$roster->config['img_url'].'note.gif" style="cursor:help;" class="membersRowimg" alt="'.$roster->locale->act['note'].'" '.makeOverlib(stripslashes($note),$roster->locale->act['note'],'',1).'>';
	}
	else
	{
		$icon_value = '<img src="'.$roster->config['img_url'].'no_note.gif" class="membersRowimg" alt="'.$roster->locale->act['note'].'">';
	}	
	return $icon_value;
}

function getClassIcon($class)
{
	global $roster, $addon;
	
	if ($class == "Deathknight")
	{
		$class = "Death Knight";
	}
	$icon_name = $roster->locale->wordings['enUS']['class_iconArray'][$class];
	$alt = array_keys($roster->locale->act['class_to_en'],$class);
	$icon_value = '<img class="membersRowimg" width="'.$addon['config']['WoWGem_Icon_size'].'" height="'.$addon['config']['WoWGem_Icon_size'].'" src="'.$roster->config['interface_url'].'class/'.$icon_name.'.jpg" alt="'.$alt[0].'" /> ';
	return $icon_value;
}

function checkReset($day, $month, $year)
{
	global $roster, $addon;

	unset($reset);
	
	$SecondsInDay = 60*60*24;
	$start = mktime ( 0, 0, 0, 1, 1, 2008); // January 1st 2008, Tuesday 
	$tag = mktime ( 3, 0, 0, $month, $day, $year); // Possible instance reset time
	$start = $start + ($addon['config']['WoWGem_EventResetOffset'] * $SecondsInDay);
	$daycount = (($tag - $start) /$SecondsInDay);

// http://www.worldofwarcraft.com/calendar/#selector - Classic
// http://www.wow-europe.com/fr/info/basics/raidcalendar/index.html#selector
	
	if ( (($daycount+0)%7) == 0 )
	{
		$reset[]="40";	// MC, BWL, AQ40, Nax
	}
	if ( (($daycount+4)%5) == 0 )
	{
		$reset[]="Onx"; 	// Onyxia
	}
	if ( (($daycount+2)%3) == 0 )
	{
		$reset[]="20"; // ZG, AQ20
	}
	if ( (($daycount+0)%3) == 0 )
	{
		$reset[]="ZA"; 	// Zul'Aman - BC
	}

	if (isset($reset))
		return $reset;
	else
		return;
}

function resetIcon($type)
{
	global $roster, $addon;

	switch ($type)
	{
		case 40:
			echo ('<img src="'.$addon['image_path'].'/mc.gif" />');						// Classic
			echo ('<img src="'.$addon['image_path'].'/bwl.gif" />');					// Classic
			echo ('<img src="'.$addon['image_path'].'/aq40.gif" />');					// Classic
			echo ('<img src="'.$addon['image_path'].'/nax.gif" />');					// Classic
			
			echo ('<a href="index.php"><img src="'.$addon['image_path'].'/'.$roster->locale->act['IZones']['Karazhan']['file'].'".gif" alt="" onMouseover="return overlib(\'<b><font color=1eff00>'.$roster->locale->act['IZones']['Karazhan']['name'].'</font></b><br><font color=dedede>'.$roster->locale->act['IZonesReset'].' :</font> <font color=ffffff>'.$roster->locale->act['IZones']['Karazhan']['time'].'</font>\')" onMouseout="nd();" /></a>');						//Classic

			echo ('<img src="'.$addon['image_path'].'/mag.gif" />');					// BC				
			echo ('<img src="'.$addon['image_path'].'/gruul.gif" />');			 	// BC
			echo ('<img src="'.$addon['image_path'].'/coilfang.gif" />');			// BC
			echo ('<img src="'.$addon['image_path'].'/tempest.gif" />'); 			// BC
			echo ('<img src="'.$addon['image_path'].'/mag.gif" />'); 					// BC
			echo ('<img src="'.$addon['image_path'].'/blacktemple.gif" />');	// BC
			
			break;
		case 20:
			echo ('<a href="index.php"><img src="'.$addon['image_path'].'/'.$roster->locale->act['IZones']["Zul\'Gurub"]['file'].'".gif" alt="" onMouseover="return overlib(\'<b><font color=1eff00>'.$roster->locale->act['IZones']["Zul\'Gurub"]['name'].'</font></b><br><font color=dedede>'.$roster->locale->act['IZonesReset'].' :</font> <font color=ffffff>'.$roster->locale->act['IZones']["Zul\'Gurub"]['time'].'</font>\')" onMouseout="nd();" /></a>');						//Classic
			echo ('<img src="'.$addon['image_path'].'/aq20.gif" />');					// Classic
			break;

		case "Onx":
			echo ('<img src="'.$addon['image_path'].'/onx.gif" />');					// Classic
			break;
						
		case "ZA":
			echo ('<a href="index.php"><img src="'.$addon['image_path'].'/'.$roster->locale->act['IZones']["Zul\'Aman"]['file'].'".gif" alt="" onMouseover="return overlib(\'<b><font color=1eff00>'.$roster->locale->act['IZones']["Zul\'Aman"]['name'].'</font></b><br><font color=dedede>'.$roster->locale->act['IZonesReset'].' :</font> <font color=ffffff>'.$roster->locale->act['IZones']["Zul\'Aman"]['time'].'</font>\')" onMouseout="nd();" /></a>');						//Classic
			break;
	}
}

// Eventlist Functions
function getTitularCount($eventid)
{
	global $roster, $addon;
	
	$query = 'SELECT name FROM `'.$roster->db->table('event_subscribers',$addon['basename']).'` WHERE status = "Y" AND eventid = '.$eventid;
	$result = $roster->db->query($query);
	return $roster->db->num_rows($result);
}

function getSubstituteCount($eventid)
{
	global $roster, $addon;

	$query = 'SELECT name FROM `'.$roster->db->table('event_subscribers',$addon['basename']).'` WHERE status != "Y" AND eventid = '.$eventid;
	$result = $roster->db->query($query);
	return $roster->db->num_rows($result);
}

// Eventview - attendance Functions

function checkMember($name)
{
	global $roster;

	// Check if players info exists [read : is member of guild AND roster info updated - he will be in the players table]
	$cquery = 'SELECT member_id FROM '.$roster->db->table('players').' WHERE name= "'.$name.'"';
	$cid_result = $roster->db->query($cquery);
	$cid = $roster->db->fetch($cid_result);
	if($cid[0] != '')
	{
		return ' <a href="'.makelink('char-info&amp;a=c:'.$cid[0]).'">'.$name.'</a>';
	}
	else
	{
		return ' '.$name;
	}
}
?>