<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Install Definition File
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: install.def.php 346 2008-01-13 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan $
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/

if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}

/**
 * EventCalendar Addon Installer
 * @package EventCalendar
 * @subpackage Installer
 */
class EventCalendarinstall
{
	var $active = true;
	var $icon = 'inv_gizmo_supersappercharge'; // Well, a very 'visible' icon ^^

	var $version = '1.9.9.000';
	var $wrnet_id = '0';

	var $fullname = 'WoWGem_title';
	var $description = 'WoWGem_install_desc';
	var $credits = array(
		array(	"name"=>	"tuigii@WoWRoster.net - Nowwhat@EU-Khaz Modan",
			"info"=>	"Adapted for roster 2.0 / 1.9.9.xxx Beta"),
		array(	"name"=>	"PoloDude@WoWRoster.net",
			"info"=>	"Original author"),
	);

	/**
	 * Install function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;

		// Master and menu entries
		
		# Master data for the config file
		$installer->add_config("'1','startpage','WoWGem_config','display','master'");

		# Config menu entries
		$installer->add_config("'1900','WoWGem_config',NULL,'blockframe','menu'");

		# Generic display settings
		$installer->add_config("'1910', 'WoWGem_UpdateTrigger', '1', 'radio{yes^1|no^0', 'WoWGem_config'");
		$installer->add_config("'1920', 'WoWGem_GEMChannelNames', 'defaultgemchannel', 'text{128|32', 'WoWGem_config'");
		$installer->add_config("'1921', 'WoWGem_MatchAllChannels', '1',  'radio{yes^1|no^0', 'WoWGem_config'");
		$installer->add_config("'1922', 'WoWGem_PlayerLevelToUpdate', '2', 'select{0^0|1^1|2^2|3^3|4^4|5^5|6^6|7^7|8^8|9^9','WoWGem_config'");
		$installer->add_config("'1930', 'WoWGem_ShowIcon', '1', 'radio{yes^1|no^0', 'WoWGem_config'");
		$installer->add_config("'1935', 'WoWGem_Icon_size','16','select{8px^8|9px^9|10px^10|11px^11|12px^12|13px^13|14px^14|15px^15|16px^16|17px^17|18px^18|19px^19|20px^20','WoWGem_config'");
		$installer->add_config("'1940', 'WoWGem_EventDateFormat', '%A %d/%m %H:%M', 'text{64|20', 'WoWGem_config'");
		$installer->add_config("'1950', 'WoWGem_EventResetDate', '%A %d/%m', 'text{64|20', 'WoWGem_config'");
		$installer->add_config("'1960', 'WoWGem_EventResetOffset', '0', 'text{10|10', 'WoWGem_config'");
		$installer->add_config("'1970', 'WoWGem_LogEventsUpload', '1', 'radio{yes^1|no^0', 'WoWGem_config'");
		
		# Roster menu entry
		$installer->add_menu_button('WoWGem_ButtonLabel','guild');

		$installer->create_table($installer->table('events'),
			"`eventid` int(6) NOT NULL AUTO_INCREMENT,
			`date` datetime NOT NULL default '0000-00-00 00:00:00',
			`title` varchar(100) NOT NULL default '',
			`type` varchar(100) NOT NULL default '',
			`note` varchar(255) NOT NULL default '',
			`leader` varchar(100) NOT NULL default '',
			`minLevel` int(11) NOT NULL default '0',
			`maxLevel` int(11) NOT NULL default '0',
			`maxCount` int(11) NOT NULL default '0',
			KEY `eventid` (`eventid`) ");

		$installer->create_table($installer->table('event_members'),		
			"`name` varchar(100) NOT NULL default '',
			`guild` varchar(255) NOT NULL default '',
			`class` varchar(100) NOT NULL default '',
			`level` int(11) NOT NULL default '0',
			UNIQUE KEY `name` (`name`) ");

		$installer->create_table($installer->table('event_subscribers'),
			"`eventid` int(11) NOT NULL default '0',
			`name` varchar(100) NOT NULL default '',
			`place` varchar(10) NOT NULL default '',
			`queue` varchar(10) NOT NULL default '',
			`status` varchar(100) NOT NULL default '',
			`note` varchar(255) NOT NULL default '',
			KEY `eventid` (`eventid`),
			KEY `name` (`name`) ");

		$installer->create_table($installer->table('event_limits'),
			"`eventid` int(11) NOT NULL default '0',
			`class` varchar(100) NOT NULL default '',
			`min` int(11) NOT NULL default '0',
			`max` int(11) NOT NULL default '0',
			KEY `eventid` (`eventid`) ");
			
		$installer->create_table($installer->table('event_log'),
			"`logid` int(11) NOT NULL AUTO_INCREMENT,
			`name` varchar(100) NOT NULL default '',
			`date` datetime NOT NULL default '0000-00-00 00:00:00',
			`number` int(11) NOT NULL default '0',
			KEY `logid` (`logid`) ");

		return true;
	}

	/**
	 * Upgrade functoin
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		global $installer;

		return true;
	}

	/**
	 * Un-Install function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;

		$installer->remove_all_config();
		$installer->remove_all_menu_button();

		$installer->drop_table( $installer->table('events') );
		$installer->drop_table( $installer->table('event_members') );
		$installer->drop_table( $installer->table('event_subscribers') );
		$installer->drop_table( $installer->table('event_limits') );
		$installer->drop_table( $installer->table('event_log') );		
		return true;
	}
}
